# Editor.MainForm Class Reference

Collaboration diagram for Editor.MainForm:

[legend]

List of all members.

## Classes
struct | ContainerInfo
## Public Member Functions
| MainForm ()
string[] | GetScriptTexts ()
void | SaveScripts (IAmScriptable scriptableObj)
void | SaveTimeLine (IAmScriptable scriptableObj)
void | UpdateScriptsUI (IAmScriptable scriptableObj)
void | UpdateTimeLineUI (IAmScriptable scriptableObj)
void | GetScriptsReady ()
| MainForm ()
string[] | GetScriptTexts ()
void | SaveScripts (IAmScriptable scriptableObj)
void | SaveTimeLine (IAmScriptable scriptableObj)
void | UpdateScriptsUI (IAmScriptable scriptableObj)
void | UpdateTimeLineUI (IAmScriptable scriptableObj)
void | GetScriptsReady ()
## Protected Member Functions
override void | WndProc (ref Message m)
override void | OnMouseDoubleClick (MouseEventArgs e)
override void | OnKeyDown (KeyEventArgs e)
override void | Dispose (bool disposing)
| Clean up any resources being used.
override void | WndProc (ref Message m)
override void | OnMouseDoubleClick (MouseEventArgs e)
override void | OnKeyDown (KeyEventArgs e)
override void | Dispose (bool disposing)
| Clean up any resources being used.

## Detailed Description

Definition at line 18 of file MainForm.cs.

## Constructor & Destructor Documentation

Editor.MainForm.MainForm | ( |  | ) |

Definition at line 38 of file MainForm.cs.

Here is the call graph for this function:

Editor.MainForm.MainForm | ( |  | ) |

Definition at line 38 of file MainForm.cs.

Here is the call graph for this function:

## Member Function Documentation

override void Editor.MainForm.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file MainForm.Designer.cs.

override void Editor.MainForm.Dispose | ( | bool | disposing | ) | `[protected]`

Clean up any resources being used.

Parameters:

  | disposing | true if managed resources should be disposed; otherwise, false.

Definition at line 14 of file MainForm.Designer.cs.

void Editor.MainForm.GetScriptsReady | ( |  | ) |

Definition at line 539 of file MainForm.cs.

Here is the call graph for this function:

void Editor.MainForm.GetScriptsReady | ( |  | ) |

Definition at line 539 of file MainForm.cs.

Here is the call graph for this function:

string [] Editor.MainForm.GetScriptTexts | ( |  | ) |

Definition at line 459 of file MainForm.cs.

string [] Editor.MainForm.GetScriptTexts | ( |  | ) |

Definition at line 459 of file MainForm.cs.

override void Editor.MainForm.OnKeyDown | ( | KeyEventArgs | e | ) | `[protected]`

Definition at line 195 of file MainForm.cs.

override void Editor.MainForm.OnKeyDown | ( | KeyEventArgs | e | ) | `[protected]`

Definition at line 195 of file MainForm.cs.

override void Editor.MainForm.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 190 of file MainForm.cs.

override void Editor.MainForm.OnMouseDoubleClick | ( | MouseEventArgs | e | ) | `[protected]`

Definition at line 190 of file MainForm.cs.

void Editor.MainForm.SaveScripts | ( | IAmScriptable | scriptableObj | ) |

Definition at line 489 of file MainForm.cs.

Here is the call graph for this function:

void Editor.MainForm.SaveScripts | ( | IAmScriptable | scriptableObj | ) |

Definition at line 489 of file MainForm.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.MainForm.SaveTimeLine | ( | IAmScriptable | scriptableObj | ) |

Definition at line 497 of file MainForm.cs.

Here is the call graph for this function:

void Editor.MainForm.SaveTimeLine | ( | IAmScriptable | scriptableObj | ) |

Definition at line 497 of file MainForm.cs.

Here is the call graph for this function:

Here is the caller graph for this function:

void Editor.MainForm.UpdateScriptsUI | ( | IAmScriptable | scriptableObj | ) |

Definition at line 505 of file MainForm.cs.

Here is the call graph for this function:

void Editor.MainForm.UpdateScriptsUI | ( | IAmScriptable | scriptableObj | ) |

Definition at line 505 of file MainForm.cs.

Here is the call graph for this function:

void Editor.MainForm.UpdateTimeLineUI | ( | IAmScriptable | scriptableObj | ) |

Definition at line 523 of file MainForm.cs.

Here is the call graph for this function:

void Editor.MainForm.UpdateTimeLineUI | ( | IAmScriptable | scriptableObj | ) |

Definition at line 523 of file MainForm.cs.

Here is the call graph for this function:

override void Editor.MainForm.WndProc | ( | ref Message | m | ) | `[protected]`

Definition at line 177 of file MainForm.cs.

override void Editor.MainForm.WndProc | ( | ref Message | m | ) | `[protected]`

Definition at line 177 of file MainForm.cs.

The documentation for this class was generated from the following files:

- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/MainForm.cs
- D:/guillaume/guillara/3D/DXGfx/Backup/Editor/MainForm.Designer.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/MainForm.cs
- D:/guillaume/guillara/3D/DXGfx/Editor/MainForm.Designer.cs